Bug 246386 - Review Request: ois - Open Input System, OO gaming input library
Summary: Review Request: ois - Open Input System, OO gaming input library
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ian Chapman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-01 16:57 UTC by Hans de Goede
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-02 19:52:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
packages: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Hans de Goede 2007-07-01 16:57:00 UTC
Spec URL: http://people.atrpms.net/~hdegoede/ois.spec
SRPM URL: http://people.atrpms.net/~hdegoede/ois-1.0-1.fc8.src.rpm
Description:
Object Oriented Input System (OIS) is meant to be a cross platform, simple
solution for using all kinds of Input Devices (KeyBoards, Mice, Joysticks, etc)
and feedback devices (e.g. forcefeedback). Written in C++ using Object Oriented
Design patterns.

---

Note this is needed to be able to upgrade ogre to 1.4.x, and thus to fix the unresolved dependency problem ogre is having in rawhide, because of the new cegui.

Comment 1 Ian Chapman 2007-07-01 19:04:39 UTC
* rpmlint:

W: ois-devel no-documentation
Harmless and ignorable.

W: ois unused-direct-shlib-dependency /usr/lib/libOIS-1.0.0.so /usr/lib/libXaw.so.7
W: ois unused-direct-shlib-dependency /usr/lib/libOIS-1.0.0.so /lib/libm.so.6

These can be a total PITA to try and fix, but not a blocker.


* Package named correctly: Yes
* Patches named correctly: N/A
* Spec file named correctly: Yes
* Licence field matches: Yes
* Licence file installed: Yes (and included upstream)
* Spec file in American English: Yes
* Source matches upstream: Yes
* Locales use %find_lang: N/A
* Contains %clean: Yes
* Specfile legible: Yes
* Compiles and builds ok: Yes (mock: fc6/ppc, f7/i386, f8/x86_64)
* Calls ldconfig in %post/%postun for shlibs: Yes
* Owns directories it creates: Yes
* Duplicate files: No
* Permissions set correctly: Yes
* Consistent macro use: Yes
* %doc affects runtime: No
* Headers and static libs in -devel: Yes
* .pc files in -devel: Yes
* .so in -devel: Yes
* -devel requires base: Yes
* Contains .la files: No
* Owns files it didn't create: No
* .desktop files installed correctly: N/A


Just noticed the changelog says "Sat Jul 1 2007" but July 1st is a sunday :-)


APPROVED!

Comment 2 Hans de Goede 2007-07-01 19:21:03 UTC
Thanks!

Can you set the fedora-review flag to + please?


Comment 3 Hans de Goede 2007-07-01 20:34:04 UTC
New Package CVS Request
=======================
Package Name:      ois
Short Description: Open Input System, OO gaming input library
Owners:            j.w.r.degoede@hhs.nl
Branches:          F-7 devel
InitialCC:         <empty>

Notice, this package has been approved, see above, but the reviewer has
forgotten to set fedora-review to +. I've already requested him to remedy this.


Comment 4 Ian Chapman 2007-07-01 23:35:06 UTC
Changed the flag to +

Comment 5 Hans de Goede 2007-07-02 19:52:59 UTC
Imported and build, closing.

Note I'm also building this F-7 updates-testing


Comment 6 Hans de Goede 2007-07-04 09:22:05 UTC
Package Change Request
======================
Package Name: ois
New Branches: FC-6

After some discussion on the devel list it has been decided to update FC-6 to
the new ogre, which requires ois.



Comment 7 Kevin Fenzi 2007-07-04 18:24:12 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.